Subject: I-D Action: draft-chen-rtgwg-srv6-midpoint-protection-06.txt

From: [email-masked]
Date: Sun, 19 Dec 2021 09:58:32 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : SRv6 Midpoint Protection
        Authors         : Huanan Chen
                          Zhibo Hu
                          Huaimo Chen
                          Xuesong Geng
                          Yisong Liu
                          Gyan S. Mishra
	Filename        : draft-chen-rtgwg-srv6-midpoint-protection-06.txt
	Pages           : 10
	Date            : 2021-12-19

Abstract:
   The current local repair mechanism, e.g., TI-LFA, allows local repair
   actions on the direct neighbors of the failed node to temporarily
   route traffic to the destination.  This mechanism could not work
   properly when the failure happens in the destination point or the
   link connected to the destination.  In SRv6 TE, the IPv6 destination
   address in the outer IPv6 header could be the dedicated endpoint of
   the TE path rather than the destination of the TE path.  When the
   endpoint fails, local repair couldn't work on the direct neighbor of
   the failed endpoint either.  This document defines midpoint
   protection for SRv6 TE path, which enables the direct neighbor of the
   failed endpoint to do the function of the endpoint, replace the IPv6
   destination address to the other endpoint, and choose the next hop
   based on the new destination address.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-chen-rtgwg-srv6-midpoint-protection/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-chen-rtgwg-srv6-midpoint-protection-06

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-chen-rtgwg-srv6-midpoint-protection-06

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts